<script>
  import Nav from "../../partials/nav.svelte";
  import Footer from "../../partials/footer.svelte";
      /** @type {import('./$types').PageData} */
    export let data;
</script>
<svelte:head>
    <title>Projects</title>
    <meta name="description" content="Things I start and rarely finish">
</svelte:head>
<div class="flex flex-col h-screen w-full max-w-4xl">
  <Nav />
  <div
    class="flex flex-col flex-grow h-screen bg-primary-bg justify-left mx-5"
    style="margin-top:3rem;"
  >
    <!-- Begin page content -->
    <div style="margin-bottom:2.5rem;">
      <p class="text-5xl">Projects</p>
      <p class="text-xs">Things I start and rarely finish</p>
    </div>
    <div class="flex flex-col space-y-6">
      {#each data.body.posts as post}
        <a href="projects/{post.slug}">
          <div
            class="group grid grid-cols-6 gap-x-2 gap-y-6 w-full hover:bg-pink-700 hover:border-pink-700 hover:text-white  border border-black rounded-md pt-2 pb-2"
            style="height:fit-content;"
          >
            <div
              class="flex flex-wrap items-center content-center justify-center font-light text-xs overflow-hidden"
            >
              {post.date}
            </div>
            <div class="col-span-5 xs:col-span-5">
              {post.title}
              <br />
              <div class="flex flex-row flex-wrap gap-1 mt-1 mb-1">
                {#each post.tags as tag}
                  <span
                    class="group-hover:badge-ghost badge badge-outline badge-sm"
                    >{tag}</span
                  >
                {/each}
              </div>
            </div>
          </div>
        </a>
      {/each}
    </div>
    <!-- End page content -->
  </div>
  <Footer />
</div>
